.\"	$NetBSD: neptune.4,v 1.6 2001/05/04 10:51:57 wiz Exp $
.\"
.\" Copyright (c) 1998 MINOURA Makoto
.\" Copyright (c) 1998 NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"    This product includes software developed by Minoura Makoto.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 17, 1999
.Dt NEPTUNE 4 x68k
.Os
.Sh NAME
.Nm neptune
.Nd Neptune-X ISA bridge driver
.Sh SYNOPSIS
.Cd "neptune0 at intio0 addr 0xece000 irq 239"
.Cd "ne0 at neptune? addr 0x300"
.Sh DESCRIPTION
The Neptune-X is a Ethernet interface card initially designed by
Hirofumi Shimada, which uses popular NE2000 or its clone with its
own x68k-proprietary bus to ISA bus bridge.
.Pp
The
.Nx
.Nm
driver takes charge of the ISA bridge part of the Neptune-X.
It is implemented as a more generic `bus' with its own
.Xr bus_space 9
interface, and is intended to be used with
.Xr ne 4
driver.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr isa 4 ,
.Xr ne 4 ,
.Xr bus_space 9
.Sh HISTORY
The
.Nm
device appeared in
.Nx 1.4 .
.Sh BUGS
.Nm
itself is always detected when it is specified in the kernel config file.
This is because the Neptune-X ISA bridge is transparent to software.
The attached device is detected appropriately.
